Slackware: 2022-242-01: vim Security Update | LinuxSecurity.com

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

[slackware-security]  vim (SSA:2022-242-01)

New vim packages are available for Slackware 15.0 and -current to
fix a security issue.


Here are the details from the Slackware 15.0 ChangeLog:
+--------------------------+
patches/packages/vim-9.0.0334-i586-1_slack15.0.txz:  Upgraded.
  Fixed use after free.
  Thanks to marav for the heads-up.
  For more information, see:
    https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-3016
  (* Security fix *)
patches/packages/vim-gvim-9.0.0334-i586-1_slack15.0.txz:  Upgraded.
+--------------------------+


Where to find the new packages:
+-----------------------------+

Thanks to the friendly folks at the OSU Open Source Lab
(https://osuosl.org) for donating FTP and rsync hosting
to the Slackware project!  :-)

Also see the "Get Slack" section on https://slackware.com for
additional mirror sites near you.

Updated packages for Slackware 15.0:
ftp://ftp.slackware.com/pub/slackware/slackware-15.0/patches/packages/vim-9.0.0334-i586-1_slack15.0.txz
ftp://ftp.slackware.com/pub/slackware/slackware-15.0/patches/packages/vim-gvim-9.0.0334-i586-1_slack15.0.txz

Updated packages for Slackware x86_64 15.0:
ftp://ftp.slackware.com/pub/slackware/slackware64-15.0/patches/packages/vim-9.0.0334-x86_64-1_slack15.0.txz
ftp://ftp.slackware.com/pub/slackware/slackware64-15.0/patches/packages/vim-gvim-9.0.0334-x86_64-1_slack15.0.txz

Updated packages for Slackware -current:
ftp://ftp.slackware.com/pub/slackware/slackware-current/slackware/ap/vim-9.0.0334-i586-1.txz
ftp://ftp.slackware.com/pub/slackware/slackware-current/slackware/xap/vim-gvim-9.0.0334-i586-1.txz

Updated packages for Slackware x86_64 -current:
ftp://ftp.slackware.com/pub/slackware/slackware64-current/slackware64/ap/vim-9.0.0334-x86_64-1.txz
ftp://ftp.slackware.com/pub/slackware/slackware64-current/slackware64/xap/vim-gvim-9.0.0334-x86_64-1.txz


MD5 signatures:
+-------------+

Slackware 15.0 packages:
d84ff2197cb8ca546a8894308dcbb680  vim-9.0.0334-i586-1_slack15.0.txz
5385e7472c43d0791e75a377c3174717  vim-gvim-9.0.0334-i586-1_slack15.0.txz

Slackware x86_64 15.0 packages:
4a841af6a42f71e6de89a0c0ffe73c81  vim-9.0.0334-x86_64-1_slack15.0.txz
54f8dc1acf06813fe95ff6fe8cd77136  vim-gvim-9.0.0334-x86_64-1_slack15.0.txz

Slackware -current packages:
9140a246f4686fc7bed7c3cf5327a96d  ap/vim-9.0.0334-i586-1.txz
60f730aa8df0c8fe961c45c7f1fcf103  xap/vim-gvim-9.0.0334-i586-1.txz

Slackware x86_64 -current packages:
4c1a1af62534c9daa2ca0129294ef110  ap/vim-9.0.0334-x86_64-1.txz
d7acf5317e2722c6e75455538adb23ef  xap/vim-gvim-9.0.0334-x86_64-1.txz


Installation instructions:
+------------------------+

Upgrade the packages as root:
# upgradepkg vim-9.0.0334-i586-1_slack15.0.txz vim-gvim-9.0.0334-i586-1_slack15.0.txz


+-----+

Slackware: 2022-242-01: vim Security Update

August 30, 2022
New vim packages are available for Slackware 15.0 and -current to fix a security issue

Summary

Here are the details from the Slackware 15.0 ChangeLog: patches/packages/vim-9.0.0334-i586-1_slack15.0.txz: Upgraded. Fixed use after free. Thanks to marav for the heads-up. For more information, see: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-3016 (* Security fix *) patches/packages/vim-gvim-9.0.0334-i586-1_slack15.0.txz: Upgraded.

Where Find New Packages

Thanks to the friendly folks at the OSU Open Source Lab (https://osuosl.org) for donating FTP and rsync hosting to the Slackware project! :-)
Also see the "Get Slack" section on https://slackware.com for additional mirror sites near you.
Updated packages for Slackware 15.0: ftp://ftp.slackware.com/pub/slackware/slackware-15.0/patches/packages/vim-9.0.0334-i586-1_slack15.0.txz ftp://ftp.slackware.com/pub/slackware/slackware-15.0/patches/packages/vim-gvim-9.0.0334-i586-1_slack15.0.txz
Updated packages for Slackware x86_64 15.0: ftp://ftp.slackware.com/pub/slackware/slackware64-15.0/patches/packages/vim-9.0.0334-x86_64-1_slack15.0.txz ftp://ftp.slackware.com/pub/slackware/slackware64-15.0/patches/packages/vim-gvim-9.0.0334-x86_64-1_slack15.0.txz
Updated packages for Slackware -current: ftp://ftp.slackware.com/pub/slackware/slackware-current/slackware/ap/vim-9.0.0334-i586-1.txz ftp://ftp.slackware.com/pub/slackware/slackware-current/slackware/xap/vim-gvim-9.0.0334-i586-1.txz
Updated packages for Slackware x86_64 -current: ftp://ftp.slackware.com/pub/slackware/slackware64-current/slackware64/ap/vim-9.0.0334-x86_64-1.txz ftp://ftp.slackware.com/pub/slackware/slackware64-current/slackware64/xap/vim-gvim-9.0.0334-x86_64-1.txz

MD5 Signatures

Slackware 15.0 packages: d84ff2197cb8ca546a8894308dcbb680 vim-9.0.0334-i586-1_slack15.0.txz 5385e7472c43d0791e75a377c3174717 vim-gvim-9.0.0334-i586-1_slack15.0.txz
Slackware x86_64 15.0 packages: 4a841af6a42f71e6de89a0c0ffe73c81 vim-9.0.0334-x86_64-1_slack15.0.txz 54f8dc1acf06813fe95ff6fe8cd77136 vim-gvim-9.0.0334-x86_64-1_slack15.0.txz
Slackware -current packages: 9140a246f4686fc7bed7c3cf5327a96d ap/vim-9.0.0334-i586-1.txz 60f730aa8df0c8fe961c45c7f1fcf103 xap/vim-gvim-9.0.0334-i586-1.txz
Slackware x86_64 -current packages: 4c1a1af62534c9daa2ca0129294ef110 ap/vim-9.0.0334-x86_64-1.txz d7acf5317e2722c6e75455538adb23ef xap/vim-gvim-9.0.0334-x86_64-1.txz

Severity
[slackware-security] vim (SSA:2022-242-01)
New vim packages are available for Slackware 15.0 and -current to fix a security issue.

Installation Instructions

Installation instructions: Upgrade the packages as root: # upgradepkg vim-9.0.0334-i586-1_slack15.0.txz vim-gvim-9.0.0334-i586-1_slack15.0.txz

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.